/*
 * ChannelType.java
 *
 * Created on 17 de Junho de 2005, 17:43
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package net.sourceforge.czt.typecheck.circus.impl;

import java.util.List;
import net.sourceforge.czt.z.ast.NameTypePair;
import net.sourceforge.czt.z.ast.DeclName;


/**
 *
 * @author Manuela
 */
public class ChannelInfo {

  private NameTypePair channelType_;
  
  private boolean isGeneric_;
  
  private List<DeclName> params_;
  
  /** Creates a new instance of ChannelType */
  public ChannelInfo() {
  }

  public ChannelInfo(NameTypePair channelType) {
    channelType_ = channelType;
    isGeneric_ = false;
  }

  public ChannelInfo(NameTypePair channelType, boolean isGeneric, List<DeclName> params) {
    channelType_ = channelType;
    isGeneric_ = isGeneric;
    params_ = params;
  }

  public NameTypePair getChannelType()
  {
    return channelType_;
  }

  public void setChannelType(NameTypePair channelType)
  {
    channelType_ = channelType;
  }
  
  public boolean isGeneric() 
  {
    return isGeneric_;
  }

  public void setIsGeneric(boolean isGeneric)
  {
    isGeneric_ = isGeneric;
  }
  
  public List getParams()
  {
    return params_;
  }
  
  public void setParams(List<DeclName> params) 
  {
    params_ = params;
  }
}
